#!/usr/bin/env python
#
# example how to save matplotlib graphics output
# syntax python randomcircle.py <yes>
# default is not using show() but save it.
# adding yes to the commandline will save the file and show it first.
#
import math
import random
import sys
import matplotlib
#matplotlib.use('PDF')
import matplotlib.pyplot as plt
#from matplotlib.backends.backend_pdf import PdfFile

def plot(x, y, show='NO'):
	xheader="X"
	yheader="Y"
	fig=plt.figure()
	ax = fig.add_subplot(111)
	plt.plot(x,y,'ro')
	plt.xlabel(xheader)
	plt.ylabel(yheader)
	plt.xlim(-2,2)
	plt.ylim(-2,2)
	ax.axis('equal')
        if show!='NO':
                plt.show()
	plt.savefig('plot.pdf', format='pdf')

def column(matrix,i):
	return [row[i] for row in matrix]

def forceAspect(ax,aspect=1):
    im = ax.get_images()
    extent =  im[0].get_extent()
    ax.set_aspect(abs((extent[1]-extent[0])/(extent[3]-extent[2]))/aspect)


if __name__ == '__main__':    
        PI = 3.1415926
        #this is the main program
        data = []
        for i in range(4000):
                d = math.sqrt(random.random())
                t = 2.0 * PI * random.random() 
                x = d * math.cos(t)
                y = d * math.sin(t)
                data.append([x,y])
        #print data
        xdata = column(data,0)
        ydata = column(data,1)
        if len(sys.argv)>1:
                plot(xdata,ydata,'YES')
        else:
                plot(xdata,ydata)


